org.keycloak.keys

## Class AbstractGeneratedSecretKeyProvider

- java.lang.Object
- - org.keycloak.keys.AbstractGeneratedSecretKeyProvider

- All Implemented Interfaces:
    KeyProvider, Provider
  Direct Known Subclasses:
    GeneratedAesKeyProvider, GeneratedHmacKeyProvider

      public abstract class AbstractGeneratedSecretKeyProvider
      extends Object
      implements KeyProvider

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGeneratedSecretKeyProvider(ComponentModel model, KeyUse use, String type, String algorithm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `Stream<KeyWrapper>` | `getKeysStream()` Returns the `KeyWrapper` for a `KeyProvider`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.keys.KeyProvider

      `getKeys`

- - ### Constructor Detail

    - #### AbstractGeneratedSecretKeyProvider

          public AbstractGeneratedSecretKeyProvider(ComponentModel model,
                                                    KeyUse use,
                                                    String type,
                                                    String algorithm)

  - ### Method Detail

    - #### getKeysStream

          public Stream<KeyWrapper> getKeysStream()

      Description copied from interface: `KeyProvider`
      Returns the `KeyWrapper` for a `KeyProvider`.
      Specified by:
        `getKeysStream` in interface `KeyProvider`
      Returns:
        Returns the `KeyWrapper` for a `KeyProvider`.

    - #### close

          public void close()

      Specified by:
        `close` in interface `KeyProvider`
      Specified by:
        `close` in interface `Provider`

Copyright © 2021 JBoss by Red Hat. All rights reserved.